Foros del Web » Programando para Internet » Ruby »

¿Error de Gema?

Estas en el tema de ¿Error de Gema? en el foro de Ruby en Foros del Web. Vengo a pedir un poco de ayuda con un simple error para arrancar mi App en rails, ya instalado y eso.. Could not find gem ...
  #1 (permalink)  
Antiguo 15/09/2011, 16:12
 
Fecha de Ingreso: junio-2011
Ubicación: Argentina
Mensajes: 7
Antigüedad: 7 años, 4 meses
Puntos: 0
¿Error de Gema?

Vengo a pedir un poco de ayuda con un simple error para arrancar mi App en rails, ya instalado y eso..

Could not find gem 'turn (>= 0)' in any of the gem sources listed in your Gemfile.


Se produce con los siguientes comandos:

rake db:create
rails server


En el sistema operativo

Ubuntu 11.04

Y estoy seguro de que

No puse sudo y ya corri 3 veces bundle install sin sudo también y no funciona....

Mi Gemfile:

Código:
source 'http://rubygems.org'

gem 'rails', '3.1.0'

# Bundle edge Rails instead:
# gem 'rails',     :git => 'git://github.com/rails/rails.git'

gem 'sqlite3'


# Gems used only for assets and not required
# in production environments by default.
group :assets do
  gem 'sass-rails', "  ~> 3.1.0"
  gem 'coffee-rails', "~> 3.1.0"
  gem 'uglifier'
end

gem 'jquery-rails'

# Use unicorn as the web server
# gem 'unicorn'

# Deploy with Capistrano
# gem 'capistrano'

# To use debugger
# gem 'ruby-debug19', :require => 'ruby-debug'

group :test do
  # Pretty printed test output
  gem 'turn', :require => false
end 
Muchas gracias por leer...
Saludos :)
  #2 (permalink)  
Antiguo 16/09/2011, 18:45
 
Fecha de Ingreso: junio-2011
Ubicación: Argentina
Mensajes: 7
Antigüedad: 7 años, 4 meses
Puntos: 0
Respuesta: ¿Error de Gema?

Solución:

En la carpeta donde tengan su App, corran el siguiente comando:

Código comando:
Ver original
  1. gem install turn

Voila!

Pero mi problema no finalizó aqui, necesitaba sqlite3 funcional, ¿Cómo hacerlo?

Código comando:
Ver original
  1. sudo apt-get install sqlite3 libsqlite3-dev

Luego...

Código comando:
Ver original
  1. sudo gem install sqlite3-ruby

Luego...

Código comando:
Ver original
  1. bundle install

Y ya deberian poder correr el rails server.

¡Suerte y espero ayudar a los que tengan este problema!

Etiquetas: rails, saludos
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 09:31.